Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.json
Class Test.Beany

    java.lang.Object
      org.json.Test.Beany

All Implemented Interfaces:
  JSONString

Enclosing class:
  Test

    static class Test.Beany

extends java.lang.Object
implements JSONString

Beany is a typical class that implements JSONString. It also provides some beany methods that can be used to construct a JSONObject. It also demonstrates constructing a JSONObject with an array of names.

Field Summary
`boolean` | `aBoolean`
`double` | `aNumber`
`java.lang.String` | `aString`

Constructor Summary
`Test.Beany(java.lang.String string, double d, boolean b)`

Method Summary
`java.lang.String` | `getBENT()`
`double` | `getNumber()`
`java.lang.String` | `getString()`
`java.lang.String` | `getX()`
`boolean` | `isBoolean()`
`java.lang.String` | `toJSONString()` The `toJSONString` method allows a class to produce its own JSON serialization.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### aString

    public java.lang.String aString

### aNumber

    public double aNumber

### aBoolean

    public boolean aBoolean

Constructor Detail

### Test.Beany

    public Test.Beany(java.lang.String string,
                      double d,
                      boolean b)

Method Detail

### getNumber

    public double getNumber()

### getString

    public java.lang.String getString()

### isBoolean

    public boolean isBoolean()

### getBENT

    public java.lang.String getBENT()

### getX

    public java.lang.String getX()

### toJSONString

    public java.lang.String toJSONString()

  Description copied from interface: `JSONString`
  The `toJSONString` method allows a class to produce its own JSON serialization.

  Specified by:
    `toJSONString` in interface `JSONString`
  Returns:
    A strictly syntactically correct JSON text.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD